import type { Command, CommandExecution } from "../types/command.types";
import type { Optional } from "../types/utils.type";
type CommandWithoutExecute = Optional<Command, 'execute'>;
export declare const createCommand: (command: CommandWithoutExecute, execute?: CommandExecution) => {
    name: string;
    nsfw?: boolean | undefined;
    permissions?: import("discord.js").PermissionResolvable | undefined;
    description?: string | undefined;
    aliases?: string[] | undefined;
    usage?: string | undefined;
    category?: string | undefined;
    cooldown?: number | undefined;
    ownerOnly?: boolean | undefined;
    guildOnly?: boolean | undefined;
    examples?: string[] | undefined;
    active?: boolean | undefined;
    nameLocales?: Partial<Record<"id" | "en-US" | "en-GB" | "bg" | "zh-CN" | "zh-TW" | "hr" | "cs" | "da" | "nl" | "fi" | "fr" | "de" | "el" | "hi" | "hu" | "it" | "ja" | "ko" | "lt" | "no" | "pl" | "pt-BR" | "ro" | "ru" | "es-ES" | "sv-SE" | "th" | "tr" | "uk" | "vi", string | null>> | undefined;
    descriptionLocales?: Partial<Record<"id" | "en-US" | "en-GB" | "bg" | "zh-CN" | "zh-TW" | "hr" | "cs" | "da" | "nl" | "fi" | "fr" | "de" | "el" | "hi" | "hu" | "it" | "ja" | "ko" | "lt" | "no" | "pl" | "pt-BR" | "ro" | "ru" | "es-ES" | "sv-SE" | "th" | "tr" | "uk" | "vi", string | null>> | undefined;
    slash?: ((builder: import("@discordjs/builders").SlashCommandBuilder) => import("@discordjs/builders").SlashCommandBuilder | Omit<import("@discordjs/builders").SlashCommandBuilder, "addSubcommand" | "addSubcommandGroup">) | undefined;
    execute: CommandExecution | undefined;
};
export {};
//# sourceMappingURL=CreateCommand.d.ts.map