"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createCommand = void 0;
const createCommand = (command, execute) => {
    if (!command.name) {
        throw Error('Trying to register a command without an name.');
    }
    if (!command.execute && !execute) {
        throw Error(`No execute function specified for command: ${command.name}`);
    }
    return Object.assign({ execute: execute }, command);
};
exports.createCommand = createCommand;
