"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EventHandler = void 0;
class EventHandler {
    constructor(client) {
        this.client = client;
        this.events = new Set();
    }
    loadEvents() {
        var _a, _b;
        return __awaiter(this, void 0, void 0, function* () {
            if (!((_b = (_a = this.client) === null || _a === void 0 ? void 0 : _a.options) === null || _b === void 0 ? void 0 : _b.eventsPath)) {
                return;
            }
            const events = yield this.client.getContextValues(this.client.options.eventsPath);
            events.forEach(event => {
                this.events.add(event);
                if (event.once) {
                    this.client.once(event.name, event.execute);
                }
                else {
                    this.client.on(event.name, event.execute);
                }
            });
        });
    }
}
exports.EventHandler = EventHandler;
