import { Client, ClientOptions } from "discord.js";
import { CommandHandler } from "../handlers/CommandHandler";
import { EventHandler } from "../handlers/EventHandler";
declare module 'discord.js' {
    interface ClientOptions {
        /**
         * CWD
         * @default process.cwd()
         */
        currentWorkingDirectory?: string;
        /**
         * Commands path, supports glob
         * @default []
         */
        commandsPath?: string;
        /**
         * Events path, supports glob
         * @default []
         */
        eventsPath?: string;
        /**
         * Disable autoload events and commands
         * If disabled, use loadEvents and loadCommands
         * @default true
         */
        autoload?: boolean;
    }
}
declare class TwokeiClient extends Client {
    commandHandler: CommandHandler;
    eventHandler: EventHandler;
    /**
     * @param twokeiOptions
     */
    constructor(twokeiOptions: ClientOptions);
    getContextValues<T>(path: string): Promise<T[]>;
    getAllFiles(path: string): Promise<string[]>;
    registerSlashCommands(): Promise<void>;
    private parseCommandToSlashJSON;
}
export { TwokeiClient };
//# sourceMappingURL=TwokeiClient.d.ts.map